Subject: Retrieving large DNS objects

From: "Anders Rundgren" <[email-masked]>
Date: Sun, 23 Jan 2005 10:17:53 +0100

Slightly related to XML but also applies to schemes like DomainKeys
as a public key indeed is a "fat" object.

I'm NOT pretending to be an expert on this topic (or DNS at all actually)
so I humbly try to put the facts (or issues) on the table.

Historic background:
When DNS was created network resources were scarce.  Currently people are
downloading entire movies over intercontinental Internet connections.  That is,
2005 <<>> 1987.

Trend:
That it is possible to save bytes by using "smart coding" is indeed true but have
lately become out of fashion.  The reason for that is that data objects today
often are much more complex than they were in the early days of the Internet.
In addition, the "environment" has become more volatile which means that
revisions are more and more frequent.

Consequences:
Put together these things have more or less united the IT industry to use objects
that are [to some extent] self-describing and can be parsed automatically.  This
have lead to XML and XML Schema respectively.  Using XML Schemas
you would preferably assign a new namespace to a revised data type so
that there would be no question about what you actually are dealing with.
Using XML Schemas allows BOTH ends to auto-parse BTW!

Efficiency:
XML and other textual representations cannot be accused of being efficient.  There
is often a 200-500% overhead for the simple stuff (integers, flags) and a 40% for
blob data (BASE64).

THE QUESTION:
Does this (fat-object) paradigm fit DNS?
A majority of the NameDroppers seem to say no.

Here is a list of workarounds for people that would like to indeed move
the DNS infrastructure a bit closer to the "other world" (Web Services).

1.
according to Paul Vixie:
   after EDNS0, the foundations are just fine, thanks.  "more weight."

But the namedroppers seem skeptical about this and even claim that
firewalls don't accept this.  Hard to know for me.

2
Another possibility could be:
You retrieve the authoritative nameservers and in turn call
these using TCP.  That is, you don't put any major load on
the infrastructure at large only on the server you have a
contract with or run on your own.  Is that a viable scheme?

BTW, I have "ordered" an XML RR from IANA.  Putting the
famous process to test.... :-)

br
Anders rundgren

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>